org.eclipse.rdf4j.model.vocabulary

## Class RDF

- java.lang.Object
- - org.eclipse.rdf4j.model.vocabulary.RDF

-     public class RDF
      extends Object

  Constants for RDF primitives and for the RDF namespace.
  See Also:
    RDF/XML Syntax Specification (Revised)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static IRI` | `ALT` http://www.w3.org/1999/02/22-rdf-syntax-ns#Alt
    `static IRI` | `BAG` http://www.w3.org/1999/02/22-rdf-syntax-ns#Bag
    `static IRI` | `FIRST` http://www.w3.org/1999/02/22-rdf-syntax-ns#first
    `static IRI` | `HTML` http://www.w3.org/1999/02/22-rdf-syntax-ns#HTML
    `static IRI` | `LANGSTRING` http://www.w3.org/1999/02/22-rdf-syntax-ns#langString
    `static IRI` | `LI` http://www.w3.org/1999/02/22-rdf-syntax-ns#li
    `static IRI` | `LIST` http://www.w3.org/1999/02/22-rdf-syntax-ns#List
    `static String` | `NAMESPACE` http://www.w3.org/1999/02/22-rdf-syntax-ns#
    `static IRI` | `NIL` http://www.w3.org/1999/02/22-rdf-syntax-ns#nil
    `static Namespace` | `NS` An immutable `Namespace` constant that represents the RDF namespace.
    `static IRI` | `OBJECT` http://www.w3.org/1999/02/22-rdf-syntax-ns#object
    `static IRI` | `PREDICATE` http://www.w3.org/1999/02/22-rdf-syntax-ns#predicate
    `static String` | `PREFIX` Recommended prefix for the RDF namespace: "rdf"
    `static IRI` | `PROPERTY` http://www.w3.org/1999/02/22-rdf-syntax-ns#Property
    `static IRI` | `REST` http://www.w3.org/1999/02/22-rdf-syntax-ns#rest
    `static IRI` | `SEQ` http://www.w3.org/1999/02/22-rdf-syntax-ns#Seq
    `static IRI` | `STATEMENT` http://www.w3.org/1999/02/22-rdf-syntax-ns#Statement
    `static IRI` | `SUBJECT` http://www.w3.org/1999/02/22-rdf-syntax-ns#subject
    `static IRI` | `TYPE` http://www.w3.org/1999/02/22-rdf-syntax-ns#type
    `static IRI` | `VALUE` http://www.w3.org/1999/02/22-rdf-syntax-ns#value
    `static IRI` | `XMLLITERAL` http://www.w3.org/1999/02/22-rdf-syntax-ns#XMLLiteral

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RDF()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAMESPACE

          public static final String NAMESPACE

      http://www.w3.org/1999/02/22-rdf-syntax-ns#
      See Also:
        Constant Field Values

    - #### PREFIX

          public static final String PREFIX

      Recommended prefix for the RDF namespace: "rdf"
      See Also:
        Constant Field Values

    - #### NS

          public static final Namespace NS

      An immutable `Namespace` constant that represents the RDF namespace.

    - #### TYPE

          public static final IRI TYPE

      http://www.w3.org/1999/02/22-rdf-syntax-ns#type

    - #### PROPERTY

          public static final IRI PROPERTY

      http://www.w3.org/1999/02/22-rdf-syntax-ns#Property

    - #### XMLLITERAL

          public static final IRI XMLLITERAL

      http://www.w3.org/1999/02/22-rdf-syntax-ns#XMLLiteral

    - #### SUBJECT

          public static final IRI SUBJECT

      http://www.w3.org/1999/02/22-rdf-syntax-ns#subject

    - #### PREDICATE

          public static final IRI PREDICATE

      http://www.w3.org/1999/02/22-rdf-syntax-ns#predicate

    - #### OBJECT

          public static final IRI OBJECT

      http://www.w3.org/1999/02/22-rdf-syntax-ns#object

    - #### STATEMENT

          public static final IRI STATEMENT

      http://www.w3.org/1999/02/22-rdf-syntax-ns#Statement

    - #### BAG

          public static final IRI BAG

      http://www.w3.org/1999/02/22-rdf-syntax-ns#Bag

    - #### ALT

          public static final IRI ALT

      http://www.w3.org/1999/02/22-rdf-syntax-ns#Alt

    - #### SEQ

          public static final IRI SEQ

      http://www.w3.org/1999/02/22-rdf-syntax-ns#Seq

    - #### VALUE

          public static final IRI VALUE

      http://www.w3.org/1999/02/22-rdf-syntax-ns#value

    - #### LI

          public static final IRI LI

      http://www.w3.org/1999/02/22-rdf-syntax-ns#li

    - #### LIST

          public static final IRI LIST

      http://www.w3.org/1999/02/22-rdf-syntax-ns#List

    - #### FIRST

          public static final IRI FIRST

      http://www.w3.org/1999/02/22-rdf-syntax-ns#first

    - #### REST

          public static final IRI REST

      http://www.w3.org/1999/02/22-rdf-syntax-ns#rest

    - #### NIL

          public static final IRI NIL

      http://www.w3.org/1999/02/22-rdf-syntax-ns#nil

    - #### LANGSTRING

          public static final IRI LANGSTRING

      http://www.w3.org/1999/02/22-rdf-syntax-ns#langString

    - #### HTML

          public static final IRI HTML

      http://www.w3.org/1999/02/22-rdf-syntax-ns#HTML

  - ### Constructor Detail

    - #### RDF

          public RDF()

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.